EDIT - bug #8099

Error

saving name type designation editor due to problem in poupeditor context

02/15/2019 03:51 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

Documentation:

Step 1:
Step 2:
Step 3:
Step 4:
Step 5:
Step 6:

open Name type of "Geitleriaceae"

type name was wrong, select unregistered genus name "Geitleria" from drop down list.

insert reference, warning "Botaniska Notiser" available from dropdown list, but in category "generic"

edit "Botaniska Notiser" = journal [Role curator]

save "Geitleria": no error

Back to the page "Edit type name designation” of the "Name type designation editor": Trying to save, but the following

exception occurred:

Registration Edit name type designation

Conserved type Rejected type Not designated

Type status

orignal designation B

Type name

itleria Friedmann

Typified names

Citation Citation detail

eu.etaxonomy.vaadin.mvp.PopupEditorException: Error saving popup editor - context [user=curator]

:Edit

registration (TypedEntityReference: Registration#2b503a58-a557-458a-868f-£350el17f7e34) > Edi

t name type designation (NameTypeDesignation#1847<997421a6-£429-4c88-815d-6787bd26c226>)
at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor.java:448)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambda$new$fad408e6$1 (AbstractPopupEditor. java:

174)

at sun.reflect.GeneratedMethodAccessor826.1invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java:1015)

at com.vaadin.ui.Button.fireClick (Button. java:377)
at com.vaadin.ui.Button$l.click (Button. java:54)

at sun.reflect.GeneratedMethodAccessor837.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)
at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan

dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:

41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:316)

at org.springframework.security.

curityInterceptor.java:126)

at org.springframework

.security.

SecurityInterceptor.java:90)

at org.springframework
oxy.java:330)

at org.springframework
ationFilter.java:114)

at org.springframework.

oxy.java:330)

at org.springframework.

Filter.java:122)

at org.springframework.

oxy.java:330)

at org.springframework.

.security
.security

security

security

security

ymousAuthenticationFilter. java:111)

at org.springframework
oxy.java:330)

.security

security.

web.

web

.web.

.web.

.web.

web

.web.

.web.

.web.

access.intercept.FilterSecurityInterceptor.invoke (FilterSe

.access.intercept.FilterSecurityInterceptor.doFilter (Filter

FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
access.ExceptionTranslationFilter.doFilter (ExceptionTransl

FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

.session.SessionManagementFilter.doFilter (SessionManagement

FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
authentication.AnonymousAuthenticationFilter.doFilter (Anon

FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:169)
.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

at org.springframework
oxy.java:330)

at org.springframework
AwareFilter. java:48)

at org.springframework
oxy.java:330)

at org.springframework

oxy.java:330)

.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache

.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:158)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcessingF

ilter.doFilter (OAuth2AuthenticationProcessingFilter. java:176)

at org.springframework.

oxy.java:330)

at org.springframework.

ava:120)

at org.springframework.

oxy.Jjava:330)

at org.springframework.

ter.java:64)

at org.springframework.
at org.springframework.

oxy.java:330)

at org.springframework.
security.web.FilterChainProxyS$VirtualFilterChain.doFilter (FilterChainPr
security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at

org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.Jjava:330)

at

org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF

ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at
at

org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:330)

at

at
at

org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy. java:176)
org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

ava:346)

at
2)

at

at

org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:26

org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

lter.java:121)

at
at
at
at
at
at
at
at
at
at
at
at

org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
org.eclipse. jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

org.eclipse. jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

org.eclipse. jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)
org.eclipse. jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)
org.eclipse. jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

org.eclipse. jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)
org.eclipse. jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)
org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

org.eclipse. jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j

ava:215)

at
at
at
at
at
at
at
at
Caused
at
at

Caused
at

:374)
at
at

Caused
at
at

org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:97)
org.eclipse. jetty.server.Server.handle (Server.java:497)
org.eclipse. jetty.server.HttpChannel.handle (HttpChannel. java:310)
org.eclipse. jetty.server.HttpConnection.onFillable (HttpConnection. java:257)
org.eclipse. jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)
org.eclipse. jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)
java.lang.Thread.run (Thread. java:748)
by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Commit failed
com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:509)
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:428)

80 more
by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Failed to store data to backend
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java

com.vaadin.data.fieldgroup.FieldGroup.firePostCommitEvent (FieldGroup. java:625)
com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup.java:501)

81 more
by: java.util.NoSuchElementException: No value present
java.util.Optional.get (Optional. java:135)
eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.findRegistrationl

nContext (RegistrationWorkingsetPresenter. java:816)

at

eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onDoneWithTypeDes

ignationEditor (RegistrationWorkingsetPresenter.java:696)

at
at
at
at
78)
at
at
at

ava:55)

at
at
at

sun.reflect.GeneratedMethodAccessor873.1invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:

org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)
org.vaadin.spring.events.internal.ScopedEventBus$l.onEvent (ScopedEventBus. java:58)
org.vaadin.spring.events.internal.EventBusListenerWrapper.publish (EventBusListenerWrapper. j

org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)
org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)
org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:131)
at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:133)
at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:121)
at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java
:371)
83 more

Related issues:
Related to EDIT - bug #8107: NPE when throwing PopupEditorException in Abstra... Closed

Associated revisions

Revision 77056dda - 03/29/2019 02:50 PM - Andreas Kohlbecker

ref #8099 better logging of error conditions and more robust error handling in save()

Revision 595150ac - 03/29/2019 04:02 PM - Andreas Kohlbecker

ref #8099 better logging of error conditions and more robust error handling in save()

Revision 7d6b1e3a - 03/29/2019 06:44 PM - Andreas Kohlbecker

ref #8107 ref #8099 reverting changes which have been picked from hotfix branch in favour of the better implementation in the develop branch

History

#1 - 02/15/2019 05:04 PM - Andreas Kohlbecker

- Tags set to phycobank

- Subject changed from Error saving popup editor to Error saving name type designation editor due to problem in poupeditor context
- Category set to cdm-vaadin

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6

#2 - 02/20/2019 03:44 PM - Andreas Kohlbecker

- Description updated

#3 - 02/21/2019 11:05 AM - Andreas Kohlbecker
Hakllo Henning

ich verstehe Step 2,3 oben nicht, was hat du da genau gemacht?

Andreas

#4 - 02/21/2019 11:06 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#5 - 02/22/2019 10:01 AM - Andreas Kohlbecker

AHH ich glaube jetzt habe ich es. Ein alter Dump der DB hat mir*Geitleriaceae Kilgore & J.R.Johans.* auf die Spriinge geholfen ....
Der Type-Name war urspriinglich Geitleriaceae Kilgore & J.R.Johans. den hat du auf "Geitleria" geandert ...
aber "Geitleria" ist in meiner Version nicht im System, kam dieser Name erst durch den Import rein?

Das ist alles sehr ratselhaft und Zeitaufwanndig

#6 - 02/22/2019 03:31 PM - Wolf-Henning Kusber

Da gab es mehrere Korrekturen und Bearbeitungen [vielleicht ein Spezialproblem, das im normalen Betrieb nicht vorkommt?]: (siehe alte Version)
Journal angebunden

Type Geitleriaceae geldscht

Name: Geitleria ist durch neuen Import ins System gekommen, wenn das so ist wurde der Name mit Autor versehen.

Kilgore, C., Johansen, J.R., Mai, T. & al., Molecular characterization of Geitleria appalachiana sp. nov. (Nostocales, Cyanobacteria) and formation of
Geitleriaceae fam. nov. in - undefined journal - 18(2): 150-163. 2018

Geitleriaceae Kilgore & J.R.Johans. NameType: orig. des., Geitleriaceae Kilgore & J.R.Johans. Kilgore, C. & Johansen, J.R. - in Kilgore, C.,
Johansen, J.R., Mai, T. & al., Molecular characterization of Geitleria appalachiana sp. nov. (Nostocales, Cyanobacteria) and formation of
Geitleriaceae fam. nov. in - undefined journal - 18(2): 150-163. 2018:159
#7 - 02/22/2019 03:32 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#8 - 03/12/2019 12:53 PM - Andreas Kohlbecker
- Priority changed from Highest to Priority14

can not reproduce

#9 - 03/29/2019 02:39 PM - Andreas Kohlbecker

this exception augments another exception which happened during the save() operation. Any information on the original problem is lost.

#10 - 03/29/2019 06:42 PM - Andreas Kohlbecker
- Related to bug #8107: NPE when throwing PopupEditorException in AbstractPopupEditor added

#11 - 04/11/2019 05:54 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved

- % Done changed from 0 to 30

#12 - 05/16/2019 02:10 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 30 to 100

the problem which augments other exceptions has been fixed, since further information on the root cause has been lost it is impossible to do more
about this problem - closing this issue therefore.

Files

picture815-1.png 32.1 KB 02/15/2019 Wolf-Henning Kusber

04/04/2024 5/5


http://www.tcpdf.org

